_this.auth.addAuthTokenListener is not a function

公開日時
更新日時

Next.jsプロジェクトで利用している firebase-js-sdk8.6.7 にアップデートしたところ↓のエラーが発生した。

_this.auth.addAuthTokenListener is not a function

8.6.6 でも同様のエラーが発生する。

issueを調べてみると↓を発見。

現状は 8.6.5 にダウングレードするしかないようなので 8.6.5 を利用するようにした。

yarn add firebase@8.6.5

Related #firebase

Firebase Functionsのスケジュール実行はローカルでは動かない

まだサポートされておらず機能リクエストがissueに挙がっている状況

Firestoreで特定のfieldがnullのドキュメントを取得する

where('field', '==', null)で条件指定できる

Firestoreの複合インデックスを削除する

CLI経由で削除する必要があった

Firestore エミュレータ使用時にデータをリセットする

エミュレータの場合のみ一括削除用のAPIが用意されている